use std::collections::HashMap;
use rocket::serde::{Deserialize};

#[derive(Deserialize)]
#[serde(crate = "rocket::serde")]
pub struct Message<'r> {
    pub userid: &'r str,
    pub password: &'r str,
    pub mobile: &'r str,
    pub content: &'r str
}

pub async fn send_msg(message: Message<'_>) -> Result<String, String>{
    const API_URL: &'static str = "http://www.js139.com.cn:8022/hysms/SendMsg";
    let client = reqwest::Client::new();
    let mut ps: HashMap<&str, &str> = HashMap::new();
    ps.insert("userId", message.userid);
    ps.insert("password", message.password);
    ps.insert("mobile", message.mobile);
    ps.insert("content", message.content);
    let body = client.post(API_URL)
        .query(&ps)
        .send().await.unwrap()
        .text().await.unwrap();
    Ok(body)
}
